/*
**************
			Created by: Cassandra McWade 2013
			Website: http://cassandramcwade.com
			Email: cas.TD@cassandramcwade.com
			For Keyframe Digital

:Title:
Texture Callback

:Purpose:
Loop through all textures on the character GEO, change all to shell.
Delete all lights and set up render dialogue
*/
fn renderInfo=
(
	renderers.current=mental_ray_renderer()
	reElements= #(z_depth, mr_A_D_Raw__ambient_Occlusion)
	re= MaxOps.GetCurRenderElementMgr()
	re.removeAllRenderElements()
	for n in reElements do
	(
		re.addrenderelement (n elementname:(""+ (n as string)))
	)
	rendSaveFile=true
	renderSceneDialog.open()
	For x in lights do delete x

)

fn findGeo=
(
	--Build the base material
	BaseMat = Arch___Design__mi()  
	BaseMat.refl_weight = 0 
	BaseMat.refl_gloss = 0
	BaseMat.opts_1sided = true
	BaseMat.opts_backface_cull = false
	BaseMat.opts_ao_on = true
	BaseMat.opts_ao_samples = 128
	BaseMat.opts_ao_distance = 500
	
	BaseMat.showInViewport=true
	BaseMat.mapM0 = AOMap
	
	for m in Objects do
	(
		if m.material !=undefined then
		(
			if (classOf m.material==multiMaterial) then --copy the whole multisub
			(
				newMat= copy m.material
				for s=1 to newMat.numsubs do
				(
					if (classOf newMat.materialList[s]==standard) then
					(
						if newMat.materialList[s].opacityMap != undefined then
						(
							AOMat = copy BaseMat
							AOmat.cutout_Map = newMat.materialList[s].opacityMap
							AOmat.cutout_Map.MonoOutput = 0
							AOmat.cutout_Map.RGBOutput = 0
							newMat.materialList[s] = AOMat
						)else(newMat.materialList[s] = BaseMat)
					)
					else
					(
						if (classOf newMat.materialList[s]==Architectural) then
						(
							if newMat.materialList[s].cutoutmap != undefined then
							(
								AOMat = copy BaseMat
								AOmat.cutout_map = newMat.materialList[s].cutoutmap
								AOmat.cutout_Map.MonoOutput = 1
								AOmat.cutout_Map.RGBOutput = 1
								newMat.materialList[s] = AOMat
							)else(newMat.materialList[s] = BaseMat)
						)else(newMat.materialList[s] = BaseMat)
					)
				)
				m.material= Newmat
			)
			else -- If it isnt a MutliSub
			(
				if (classOf m.material==standard) then
				(
					if m.material.opacityMap != undefined then
					(
						AOMat = copy BaseMat
						AOmat.cutout_Map = m.material.opacityMap
						AOmat.cutout_Map.MonoOutput = 0
						AOmat.cutout_Map.RGBOutput = 0
						m.material = AOMat
					)else(m.material = BaseMat)
				)
				else
				(
					if (classOf m.material==Architectural) then
					(
						if m.material.cutoutmap != undefined then
						(
							AOMat = copy BaseMat
							AOmat.cutout_Map = m.material.cutoutmap
							AOmat.cutout_Map.MonoOutput = 1
							AOmat.cutout_Map.RGBOutput = 1
							m.material = AOMat
						)else(m.material = BaseMat)
					)
					else
					(
						m.material = BaseMat
					)
				)
			)
		)
		else
		(
			m.material = BaseMat
		)
	)
)
renderInfo()
Findgeo()





